## org.eclipse.emf.cdo.eresource.validation
Interface CDOResourceValidator

    public interface CDOResourceValidator

A sample validator interface for `CDOResource`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Since:
  2.0

Method Summary
`boolean` `validate()`
`boolean` `validateContents(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> value)`
`boolean` `validateErrors(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource.Diagnostic> value)`
`boolean` `validateLoaded(boolean value)`
`boolean` `validateModified(boolean value)`
`boolean` `validateResourceSet(org.eclipse.emf.ecore.resource.ResourceSet value)`
`boolean` `validateTimeStamp(long value)`
`boolean` `validateTrackingModification(boolean value)`
`boolean` `validateURI(org.eclipse.emf.common.util.URI value)`
`boolean` `validateWarnings(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource.Diagnostic> value)`

Method Detail

### validate

    boolean validate()

### validateResourceSet

    boolean validateResourceSet(org.eclipse.emf.ecore.resource.ResourceSet value)

### validateURI

    boolean validateURI(org.eclipse.emf.common.util.URI value)

### validateContents

    boolean validateContents(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> value)

### validateModified

    boolean validateModified(boolean value)

### validateLoaded

    boolean validateLoaded(boolean value)

### validateTrackingModification

    boolean validateTrackingModification(boolean value)

### validateErrors

    boolean validateErrors(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource.Diagnostic> value)

### validateWarnings

    boolean validateWarnings(org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource.Diagnostic> value)

### validateTimeStamp

    boolean validateTimeStamp(long value)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.